Skip to main content
Returns a list of jobs

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

category
string[]

Job Category Name

state
string[]
sourceId
string[]
nextExecutionTimeFrom
string
default:""

GMT Formatted date/time with offset, e.g.: 2011-12-03T10:15:30+01:00'

nextExecutionTimeTo
string
default:""

GMT Formatted date/time with offset, e.g.: 2011-12-03T10:15:30+01:00'

lastExecutionStartTimeFrom
string
default:""

GMT Formatted date/time with offset, e.g.: 2011-12-03T10:15:30+01:00'

lastExecutionStartTimeTo
string
default:""

GMT Formatted date/time with offset, e.g.: 2011-12-03T10:15:30+01:00'

lastExecutionEndTimeFrom
string
default:""

GMT Formatted date/time with offset, e.g.: 2011-12-03T10:15:30+01:00'

lastExecutionEndTimeTo
string
default:""

GMT Formatted date/time with offset, e.g.: 2011-12-03T10:15:30+01:00'

sort
string
default:""

Field name to sort by. Should be prefixed with - for descending or + for ascending. Available field names are: category state, nextExecutionTime, lastExecutionEndTime, lastExecutionStartTime, tags.name

start
integer<int32>
default:0
limit
integer<int32>
default:100

Response

200 - application/vnd.composer.v3+json

OK

content
object[]